Search found 2926 matches

Go to advanced search

by mario52
Fri May 15, 2020 9:23 am
Forum: Open discussion
Topic: [Feature request] About axis cross.
Replies: 26
Views: 936

Re: [Feature request] About axis cross.

hi here little macro for flip/flop the axis cross (create a button) import FreeCAD, FreeCADGui # 15/05/2020 # Mario52 try: if Gui.ActiveDocument.ActiveView.hasAxisCross() == False : # Gui.ActiveDocument.ActiveView.setAxisCross(True) else: Gui.ActiveDocument.ActiveView.setAxisCross(False) except Exce...
by mario52
Wed May 13, 2020 7:45 pm
Forum: Python scripting and macros
Topic: [MACRO] Align to face w/ curved faces
Replies: 1
Views: 112

Re: [MACRO] Align to face w/ curved faces

hi
rockn wrote:ping
mario
by mario52
Wed May 13, 2020 7:37 pm
Forum: Forum français
Topic: Comprendre les "attachment"
Replies: 31
Views: 780

Re: Comprendre les "attachment"

Bonjour

regardez ici Macro_Rotate_To_Point option Direction

mario
by mario52
Wed May 13, 2020 6:37 pm
Forum: Python scripting and macros
Topic: FreeCAD and site-packge import error
Replies: 3
Views: 159

Re: FreeCAD and site-packge import error

hi no problem Python 3.6.6 | packaged by conda-forge | (default, Jul 26 2018, 11:48:23) [MSC v.1900 64 bit (AMD64)] on win32 Type 'help', 'copyright', 'credits' or 'license' for more information. >>> from PySide2 import QtWidgets >>> import sys >>> sys.path.append("C:\\Program Files\\FreeCAD 0.18\\b...
by mario52
Tue May 12, 2020 11:02 am
Forum: Forum français
Topic: Existe-t-il un Atelier animation schéma cinématique
Replies: 20
Views: 703

Re: Existe-t-il un Atelier animation schéma cinématique

Bonjour

ou avec les expressions et une macro en (2D) (il y a du travail derrière)

Image

mario
by mario52
Tue May 12, 2020 10:53 am
Forum: Forum français
Topic: Comprendre les "attachment"
Replies: 31
Views: 780

Re: Comprendre les "attachment"

Bonjour oui c'est pas évident ici une autre approche qui fonctionne bien mais sans attachement et sans incliner le Body (ne tient pas compte du body) (extrait de ma nouvelle version de FCCircularText toujours pas terminé) selectedEdge = FreeCADGui.Selection.getSelectionEx()[0].SubObjects[0] # select...
by mario52
Mon May 11, 2020 3:50 pm
Forum: Forum français
Topic: Comprendre les "attachment"
Replies: 31
Views: 780

Re: Comprendre les "attachment"

Bonjour @2cv001 ici pour centrer le texte sur le point (déduire la demi longueur et hauteur) nouvelleShapeString.Shape.BoundBox.XLength nouvelleShapeString.Shape.BoundBox.YLength nouvelleShapeString.Shape.BoundBox.ZLength @ openBrain quelle ironie et c'est moi qui ai fait les avions animés et les te...
by mario52
Mon May 11, 2020 1:35 pm
Forum: Forum français
Topic: Comprendre les "attachment"
Replies: 31
Views: 780

Re: Comprendre les "attachment"

Bonjour

ok ce serait bien de le renseigner comme j'ai fait dans ma macro pour les petits bricoleurs comme moi (uwestoehr n’aurait pas dû le supprimer)

merci pour l'éclairage

mario
by mario52
Mon May 11, 2020 12:59 pm
Forum: Forum français
Topic: Comprendre les "attachment"
Replies: 31
Views: 780

Re: Comprendre les "attachment"

Bonjour c'est justement ça qui ne me va pas voir mon précédent post https://forum.freecadweb.org/viewtopic.php?f=12&t=46114&start=10#p397442 sur la barre déroulante il est renseigné " Angle d'Euler (XY'Z") " j'ai modifié la valeur Z et dans le code c'est l'emplacement Rotation X qui est modifié >>> ...
by mario52
Mon May 11, 2020 11:36 am
Forum: Forum français
Topic: Comprendre les "attachment"
Replies: 31
Views: 780

Re: Comprendre les "attachment"

Bonjour @2cv001 essayez pour le centre de la face : selection = FreeCADGui.Selection.getSelectionEx()[0].SubObjects[0] # select one element selection.CenterOfMass C'est normal Mario. Quand tu utilises une Rotation en format Euler, les valeurs sont dans l'ordre traditionel des angles d'Euler Yaw,Pitc...

Go to advanced search